<?
  session_start();
  include("../../clases/BDConexion.php");
  include("../../clases/clsPer.php");
  include("../Funciones.php");
  include("../funcion/funciones.php");
  
  $objPer=new clsPer; 
  	$rs=$objPer->getDatosViaje($cod_ruta);
	$row=$objPer->NextRow($rs);
	 
	 	
	//$existecod=$objPer->ExisteManifiesto($cod_man);
	$fecha_ruta=$fecha_ruta;
	
	$rsh=$objPer->getHorasxDiaRutaCod1($cod_ruta,$fecha_ruta);
    $rowh=$objPer->NextRow($rsh);	 
	 
	$objPer->DeleteManRutas($cod_ruta);
	if($_SESSION['pesototalper']==''){ $ptp=0; $ptpd=0;}elseif($_SESSION['pesototalper']!=''){ $ptp=$_SESSION['pesototalper']; $ptpd=$_SESSION['pesototalperdis'];}
	if($_SESSION['pesototalcarga']==''){ $ptc=0; $ptcd=0;}elseif($_SESSION['pesototalcarga']!=''){ $ptc=$_SESSION['pesototalcarga']; $ptcd=$_SESSION['pesototalcardis'];}
	$objPer->UpdateManViajeCab($cod_man,$fecha_ruta,$obser,$rowh['horasvol'],$rowh['horastec'],$repre,$respon,$ptp,$ptc,$ptpd,$ptcd,$row['tvhm'],$row['tvthm'],$cerrar);
	
	/* $nombre_p="num_manifiesto"; 
	$objPer->UpdateParametro1($nombre_p,$cod_man,$via); */
	count($pasajeros1);
	while(list($clave,$valor)=each($pasajeros1)){  
		$personal=$valor[0];
		$dociden_per=$valor[1];
		$razon_emp=$valor[2];											
		$peso_per=$valor[3];																				
		$peso_eq=$valor[4];
		$tipo_mpass=$valor[5];											
		$ccosto=$valor[6];
		$origen=$valor[7];
		$destino=$valor[8];
		$distancia=$valor[9];
		$id=$valor[10];
		$codigo_mpass=$valor[11];
		$numorigen=$valor[12];
		$numdestino=$valor[13];
		
		$rsu=$objPer->getLugarManRuta($valor[12],$valor[13],$cod_ruta);
		$rowu=$objPer->NextRow($rsu);
		
		if($id==''){
		$id=0;
		}else{
		$id=$valor[10];
		}
		/* $resultadoper=$objPer->getCodUltimoMpass($dociden_per);		
		$filaper=$objPer->NextRow($resultadoper);
		$codigo_mpass1=$filaper['codigo_mpass'];		
		$objPer->UpdateMPass($codigo_mpass1,$fecha_ruta); */
		
		
		if($tipo_mpass=='PASAJERO'){
			
			$objPer->registrarRutaTotal($cod_ruta,$valor[7],$valor[8],'P',$numorigen,$numdestino);
		}
			if($codigo_mpass!=''){
				if($rowu['distancia']==''){$distancia=0;}else{$distancia=$rowu['distancia'];}
				
				$objPer->UpdateManViajePass($codigo_mpass,$peso_per,$peso_eq,$tipo_mpass,$rowu['de'],$rowu['para'],$rowu['har'],$ccosto,$distancia,$id,$numorigen,$numdestino,$fecha_ruta,$testimado_ruta,$ini,$fin,$razon_emp);
				//if($valor[8]==''){$destinot='LBC';}else{$destinot=$valor[8];}
				if($tipo_mpass=='PASAJERO'){$origen=$rowu['de'];$destino=$rowu['de'];}elseif($tipo_mpass=='TRIPULANTE'){$origen=$ini;$destino=$fin;}
				if($via=='A'){
				$objPer->UpdateTareoPass($codigo_man,$dociden_per,$origen,$destino,$rowu['har'],$fecha_ruta,$numorigen,$numdestino,$testimado_ruta,$codigo_mpass,$via,$razon_emp);
				}elseif($via=='F'){
				$objPer->UpdateTareoPass($codigo_man,$dociden_per,$origen,'TRANSITO',$rowu['hs'],$fecha_ruta,$numorigen,$numdestino,$testimado_ruta,$codigo_mpass,$via,$razon_emp);
				}
				
			}else{
				if($rowu['distancia']==''){$distancia=0;}else{$distancia=$rowu['distancia'];}				
				$ultimoingre=$objPer->registrarManPassVD($codigo_man,$dociden_per,$fecha_ruta,$peso_per,$peso_eq,$tipo_mpass,$rowu['de'],$rowu['para'],$rowu['har'],$razon_emp,$ccosto,$distancia,$id,$numorigen,$numdestino,$testimado_ruta,$ini,$fin);				
				if($tipo_mpass=='PASAJERO'){$origen=$rowu['de'];$destino=$rowu['para'];}elseif($tipo_mpass=='TRIPULANTE'){$origen=$ini;$destino=$fin;}
				if($via=='A'){
				$objPer->registrarTareo($codigo_man,$dociden_per,$origen,$destino,$rowu['har'],$fecha_ruta,$numorigen,$numdestino,$testimado_ruta,$ultimoingre,$via,$razon_emp);
				}elseif($via=='F'){
				$objPer->registrarTareo($codigo_man,$dociden_per,$origen,'TRANSITO',$rowu['har'],$fecha_ruta,$numorigen,$numdestino,$testimado_ruta,$ultimoingre,$via,$razon_emp);
				}
				
			}		
		$objPer->UpdatePerCCostosPass($dociden_per,$tipo_mpass,$ccosto,$peso_per);
		}
		while(list($clave1,$valor1)=each($cargac1)){  
		$des_w=$valor1[0];
		$compania=$valor1[1];
		$guia_w=$valor1[2];											
		$ccosto_w=$valor1[3];																				
		$ttc=$valor1[4];
		$tipounidad=$valor1[5];											
		$cant_w=$valor1[6];
		$peso_w=$valor1[7];
		$origen_w=$valor1[8];
		$destino_w=$valor1[9];
		$distanciac=$valor1[10];
		$codigo_w=$valor1[11];
		$numorigen_w=$valor1[12];
		$numdestino_w=$valor1[13];
		$id_w=$valor1[14];
		
		$rsw=$objPer->getLugarManRuta($valor1[12],$valor1[13],$cod_ruta);
		$roww=$objPer->NextRow($rsw);
		
		if($valor1[14]==''){
		$id_w=0;
		}else{
		$id_w=$valor[14];
		}
		$tipo_carga="CARGA";
		
		$objPer->registrarRutaTotal($cod_ruta,$valor1[8],$valor1[9],'C',$numorigen_w,$numdestino_w);
		if($codigo_w==''){
			if($ttc=='Int'){            
			$objPer->registrarManCargaVD($codigo_man,$fecha_ruta,$des_w,$guia_w,$peso_w,$cant_w,$tipo_carga,$roww['de'],$roww['para'],$compania,$tipounidad,$ccosto_w,$ttc,$peso_w,0,0,$roww['distancia'],$numorigen_w,$numdestino_w,$valor1[14],$ini,$fin);
			}elseif($ttc=='Ext'){
			$objPer->registrarManCargaVD($codigo_man,$fecha_ruta,$des_w,$guia_w,$peso_w,$cant_w,$tipo_carga,$roww['de'],$roww['para'],$compania,$tipounidad,$ccosto_w,$ttc,0,$peso_w,0,$roww['distancia'],$numorigen_w,$numdestino_w,$valor1[14],$ini,$fin);			
			}
		}else{
			if($ttc=='Int'){
			$objPer->UpdateManViajeCarga($codigo_w,$des_w,$guia_w,$peso_w,$cant_w,$roww['de'],$roww['para'],$compania,$tipounidad,$ccosto_w,$ttc,$peso_w,0,0,$roww['distancia'],$valor1[12],$valor1[13],$valor1[14],$ini,$fin);		
			}elseif($ttc=='Ext'){
			$objPer->UpdateManViajeCarga($codigo_w,$des_w,$guia_w,$peso_w,$cant_w,$roww['de'],$roww['para'],$compania,$tipounidad,$ccosto_w,$ttc,0,0,$peso_w,$roww['distancia'],$valor1[12],$valor1[13],$valor1[14],$ini,$fin);						
			
			}
		}
		}		
		$objPer->UpdateRutanoVer($cod_ruta);				
		$objPer->registrarBitacora($_SESSION['usuarioId'],'Manifiesto',$cod_ruta."-".$cod_man,'Actualiza Manifiesto',date("Y-m-d"),date("H:i"));
		//echo "El manifiesto se Actualizo satisfactoriamente";
		
		
		$rstdp=$objPer->pesototalpascar($cod_ruta,$fecha_ruta);
		$rowtdp=$objPer->NextRow($rstdp);
		if($rowtdp['dispesototal']!=0){
		$dispesot=$rowtdp['dispesototal'];
		}else{
		$dispesot=1;
		}
		
		if($rowh['tipohora']=='T'){$tipohora=$rowh['horastec'];}else{$tipohora=$rowh['horasvol'];}
		Redirigir("p_manifiesto_editar_calcular.php?tipohora=$tipohora&dispesot=$dispesot&cod_ruta=$cod_ruta&fecha=$fecha_ruta");
	
	
?>